QGIS Application - Bug report #5525

"Show selected only" in the Attribute table causes QGIS to crash when the number of selected
features is high

2012-04-30 02:34 AM - Filipe Dias

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupitsdata: Copied to github as #: 15123
Description

"Show selected only" in the Attribute table causes QGIS to crash when the number of selected features is high

Related issues:
Related to QGIS Application - Bug report # 3838: Selecting features from the ... Closed

Associated revisions

Revision 47¢10db1 - 2013-04-13 04:43 PM - Matthias Kuhn
[FIX #5525] Attribute table performance for large tables

The selection handling performance has been improved a lot
Introduces also more detailed signalling of selection change from QgsVectorLayer

History

#1 - 2012-04-30 03:01 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

what version of QGIS? There is any difference between 1.7.4 and master? What means "high", 1000? 100000? 10000007

#2 - 2012-04-30 03:05 AM - Filipe Dias

It affect both Master and 1.7.4 and the exact number of features is 11438.

#3 - 2012-04-30 03:06 AM - Giovanni Manghi
- Priority changed from Normal to High

#4 - 2012-04-30 03:48 AM - Salvatore Larosa
No problem here under Linux!

| did some tests on SHP with 20000 selected records! slightly slows, but it was expected this behavior!

#5 - 2012-05-02 04:04 PM - Giovanni Manghi
- Status changed from Open to Feedback
Cannot confirm, tested on qgis-master, windows 7 and a 200000+ records table. It is pretty slow (but my VM has just a little cpu and ram) but no crash.

Can you try another pc and/or dataset?

#6 - 2012-05-03 02:49 AM - Giovanni Manghi

just tested with your dataset and no crash

#7 - 2012-05-03 03:11 AM - Filipe Dias

It stills crashes here, even after a clean installation. If no one else experiences this, it must be a local problem.

#8 - 2012-05-04 01:36 AM - Filipe Dias

Just tested on a second machine (clean installation of both Windows and QGIS), with the same dataset and this still happens.

Does anyone have an idea of what might be going on? Thks

#9 - 2012-06-17 12:42 AM - Pieter Roggemans

Just tested this with a file of +- 130.000 features and selecting +- 32.000 of them QGIS doesn't strictly crash, but becomes and stays unresponsive for
hours... so | killed it.

Tested on Windows 7 64 bit, by selecting all features with OPP > 10 in this shape file:
https://docs.google.com/open?id=0B-ImgiUm-f0HRWpadzZpNIlk4cmM

#10 - 2012-09-04 12:09 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#11 - 2012-10-04 02:20 PM - Giovanni Manghi
- Status changed from Feedback to Open
- Operating System deleted (Windows 7)

#12 - 2013-03-19 07:09 AM - Regis Haubourg

| confirm that QGIS becomes slow when dealing with selections. | tested with around 2000 features selected on 36000 (polygons) and QGIS become
unresponsive when dealing with attribute table. ressources consumption seems on CPU more than on memory.

My guess is that the way QGIS draws selected features is not efficient. | saw similar behaviour with highlight of identified features when they are very
complex.

It's works on 1.8 but is slow. When trying to check 'selected only', | saw a redraw triggered on mapcanvas. This certainly slow things down, but is not the
only problem. | vote to switch to blocker that issue (regression and unusability).

#13 - 2013-03-19 08:28 AM - Giovanni Manghi
- Priority changed from High to Severe/Regression

regis Haubourg wrote:
https://docs.google.com/open?id=0B-lmgiUm-f0HRWpadzZpNlk4cmM

I vote to switch to blocker that issue (regression and unusability).

| agree, I'll take the risk to have a dev blame me for this, but even if this issue is not strictly a regression is a huge usability issue.

The same applies to the "identify" ticket, than right now | cont' find. The issue is the described here, if a feature is complex (many nodes) the features

makes qgis completely non responsive. Regis if you know the ticket about the identify issue please raise its priority (if it not already a blocker).

#14 - 2013-04-13 07:43 AM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"47c10db1fee8f608a2d6e4c50cb89fbc0e0f49f8".
